| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
IG.Lib.WaitFileEventBaseByProxyLatence Class Reference

Base class for classes that provide blocking until a file or directory is created/removed. This clas uses a proxy class for performing its basic operation. More...

Inheritance diagram for IG.Lib.WaitFileEventBaseByProxyLatence:
[legend]
Collaboration diagram for IG.Lib.WaitFileEventBaseByProxyLatence:
[legend]

## Public Member Functions
override bool | Condition ()
| Returns true if unblocking condition is satisfied, and false otherwise. More...
override void | CancelOne ()
| Cancels the current waiting for the condition (if one is going on) and unblocks the thread on which waiting was called (possibly with some latency). More...
override void | Wait ()
| Blocks until the specified condition gets satisfied. See class description for details. More...
override string | ToString ()
Public Member Functions inherited from IG.Lib.WaitConditionBase
virtual void | CancelAll ()
| Cancel the current waiting for the condition on all threads. More...

## Protected Member Functions
| WaitFileEventBaseByProxyLatence ()

## Protected Attributes
WaitFileEventLatenceBase | _waiterLatence
| Proxy object that actually performs operations for derived classes of this class. More...

## Properties
virtual string | Path`[get, set]`
| Path of the file or directory on which the particular event is waited for. Can be specified as relative path, but is internally stored as fully qualified path. More...
override bool | IsWaiting`[get]`
| Returns true if waiting for unblocking condition is currently performed, and false otherwise. Setting should only be done within the waiting function. More...
override bool | CancelFlag`[get, set]`
| If this flag is set then the current waiting (if one is going on) will be cancelled. More...
Properties inherited from IG.Lib.WaitConditionBase
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock. More...
object | InternalLock`[get]`
| Used internally for locking access to internal fields. More...
object | WaitLock`[get]`
| Must be used only for locking waiting the Waiting() block (since it is potentially time consuming). More...
virtual bool | IsWaiting`[get, protected set]`
| True if waiting for unblocking condition is currently performed, and false otherwise. Setting should only be done within the waiting function. More...
virtual bool | CancelFlag`[get, set]`
| If this flag is set then the current waiting (if one is going on) will be cancelled. More...
Properties inherited from IG.Lib.IWaitCondition
bool | IsWaiting`[get]`
| Returns true if waiting for unblocking condition is currently performed, and false otherwise. Setting should only be done within the waiting function. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`
Properties inherited from IG.Lib.IWaitFileEvent
string | Path`[get, set]`
| Path of the file or directory on which the particular event is waited for. Can be specified as relative path, but is internally stored as fully qualified path. More...

## Detailed Description

Base class for classes that provide blocking until a file or directory is created/removed. This clas uses a proxy class for performing its basic operation.

$A Igor Jun10; TODO: implement non-latence vaiting (via file events)!

## Constructor & Destructor Documentation

IG.Lib.WaitFileEventBaseByProxyLatence.WaitFileEventBaseByProxyLatence | ( |  | ) |
| inline protected

## Member Function Documentation

override bool IG.Lib.WaitFileEventBaseByProxyLatence.Condition | ( |  | ) |
| inline virtual

Returns true if unblocking condition is satisfied, and false otherwise.

Implements IG.Lib.WaitConditionBase.

References IG.Lib.WaitFileEventLatenceBase.Condition().

override void IG.Lib.WaitFileEventBaseByProxyLatence.CancelOne | ( |  | ) |
| inline virtual

Cancels the current waiting for the condition (if one is going on) and unblocks the thread on which waiting was called (possibly with some latency).

Reimplemented from IG.Lib.WaitConditionBase.

References IG.Lib.WaitConditionBase.CancelOne().

override void IG.Lib.WaitFileEventBaseByProxyLatence.Wait | ( |  | ) |
| inline virtual

Blocks until the specified condition gets satisfied. See class description for details.

This method will normally not be overridden, except with intention to change the condition check time plan. When overriding, use the original method as template.

Implements IG.Lib.WaitConditionBase.

References IG.Lib.WaitCondition.Wait().

override string IG.Lib.WaitFileEventBaseByProxyLatence.ToString | ( |  | ) |
| inline

References IG.Lib.WaitCondition.ToString().

## Member Data Documentation

WaitFileEventLatenceBase IG.Lib.WaitFileEventBaseByProxyLatence._waiterLatence
| protected

Proxy object that actually performs operations for derived classes of this class.

## Property Documentation

virtual string IG.Lib.WaitFileEventBaseByProxyLatence.Path
| get set

Path of the file or directory on which the particular event is waited for. Can be specified as relative path, but is internally stored as fully qualified path.

override bool IG.Lib.WaitFileEventBaseByProxyLatence.IsWaiting
| get

Returns true if waiting for unblocking condition is currently performed, and false otherwise. Setting should only be done within the waiting function.

override bool IG.Lib.WaitFileEventBaseByProxyLatence.CancelFlag
| get set protected

If this flag is set then the current waiting (if one is going on) will be cancelled.

The documentation for this class was generated from the following file:

- igbase/0unsorted/WaitConditionFile.cs